//------- Tiki CSS variables
@import "variables";

// Used for L&F nav color choice and color mode override
@mixin top-nav-dark {
    --tiki-top-bg: #{$dark};
    --tiki-top-color: #{$navbar-dark-color};
    --tiki-top-hover-color: #{$white};
    --tiki-top-hover-bg: transparent;
    --tiki-top-text-color: #{$white};
    --tiki-top-border: none;
    --tiki-top-box-shadow: none;
    --bs-navbar-brand-color: #{$navbar-dark-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-dark-brand-hover-color};
}

@mixin topbar-nav-dark {
    --tiki-topbar-bg: #{$dark};
    --tiki-topbar-color: #{$navbar-dark-color};
    --tiki-topbar-hover-color: #{$white};
    --tiki-topbar-hover-bg: transparent;
    --tiki-topbar-text-color: #{$white};
    --tiki-topbar-border: none;
    --tiki-topbar-box-shadow: none;
    --bs-navbar-brand-color: #{$navbar-light-brand-color};
    --bs-navbar-brand-hover-color: #{$navbar-light-brand-hover-color};
}

@mixin top-nav-light {
    --tiki-top-bg: #{$body-bg};
    --tiki-top-color: #{$navbar-light-color};
    --tiki-top--link-hover-color: #{$navbar-light-hover-color};
    --tiki-top-active-color: #{$navbar-light-hover-color};
    --tiki-top-hover-bg: transparent;
    --tiki-top-active-bg: transparent;
    --tiki-top-border: solid #1a1a1a;
    --tiki-top-text-color: #{$navbar-light-hover-color};
    --tiki-top-box-shadow: none;
}

@mixin topbar-nav-light {
    --tiki-topbar-bg: #{$body-bg};
    --tiki-topbar-color: #{$navbar-light-color};
    --tiki-topbar-hover-color: #{$navbar-light-hover-color};
    --tiki-topbar-active-color: #{$navbar-light-hover-color};
    --tiki-topbar-hover-bg: transparent;
    --tiki-topbar-active-bg: transparent;
    --tiki-topbar-text-color: #{$navbar-light-hover-color};
    --tiki-topbar-border: solid #1a1a1a;
    --tiki-topbar-box-shadow: none;
}

.tiki-top-nav-light {
    @include top-nav-light;
}

.tiki-topbar-nav-light {
    @include topbar-nav-light;
}

.tiki-top-nav-dark {
    @include top-nav-dark;
}

.tiki-topbar-nav-dark {
    @include topbar-nav-dark;
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // color mode
    .tiki-top-nav-light {                           // light top selector
        @include top-nav-dark;                      // dark values
    }
    .tiki-topbar-nav-light {
        @include topbar-nav-dark;
    }
}

// Color mode preference trumps L&F admin dark navbar option
//[data-bs-theme=light] {                              // color mode
//    .tiki-top-nav-dark {                           // dark top selector
//        @include top-nav-light;                      // light values
//    }
//    .tiki-topbar-nav-dark {
//        @include topbar-nav-light;
//    }
//}

.tiki-top-nav-light, .tiki-top-nav-dark {
    --tiki-top-border-width: 0 0 0.75rem 0;
    --tiki-topbar-border-width: 0 0.75rem 0.75rem 0.75rem;
}

// - - - - - New admin pages (Unified Admin Backend) - - - - - - - //

// Light navbar minus top nav
@mixin admin-nav-light {
    --tiki-admin-top-nav-bg: #{$body-bg};
//    --tiki-admin-navbar-bg: #{$body-bg};
    --tiki-admin-top-nav-color: #{$navbar-light-color};
    --tiki-admin-top-nav-hover-color: #{$navbar-light-hover-color};
    --tiki-admin-top-nav-link-hover-bg: none ;
    --tiki-admin-top-border: solid #1a1a1a;
    --tiki-admin-top-border-width: 0 0 0.75rem 0;
    --tiki-admin-aside-nav-bg: #{$body-bg};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-bg: #{$dropdown-bg};
    --tiki-admin-dropdown-link-color: #{$navbar-light-color};
    --tiki-admin-dropdown-link-hover-color: #{$dropdown-link-hover-color};
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-link-hover-bg};
    .accordion-header .accordion-button {
        font-family: "Bebas Neue", cursive;
        font-size: 1.1rem !important;
        font-weight: 500 !important;
        text-transform: uppercase;
    }
}

// Dark navbar minus top nav
@mixin admin-nav-dark {
    --tiki-admin-top-nav-bg: #{$dark};
    --tiki-admin-top-nav-color: #{$navbar-dark-color};
    --tiki-admin-top-nav-hover-color: #{$white};
    --tiki-admin-top-nav-link-hover-bg: #{$navbar-dark-hover-color};
    --tiki-admin-aside-nav-bg: #{$dark};
    --tiki-admin-aside-nav-color: var(--tiki-admin-top-nav-color);
    --tiki-admin-aside-nav-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-color: #{$dropdown-dark-link-color};
    --tiki-admin-dropdown-bg: #{$dropdown-dark-bg};
    --tiki-admin-dropdown-link-hover-color: var(--tiki-admin-top-nav-hover-color);
    --tiki-admin-dropdown-link-hover-bg: #{$dropdown-dark-link-hover-bg};
    .accordion-item {
        border-width: 0 !important;
    }
    button.accordion-button {
        color: var(--tiki-admin-aside-nav-color) !important;
        background: var(--tiki-admin-aside-nav-bg) !important;
    }
    .accordion-header .accordion-button {
        font-family: "Bebas Neue", cursive;
        font-size: 1.1rem !important;
        font-weight: 500 !important;
        text-transform: uppercase;
    }
    .accordion-button:not(.collapsed) {
        background: #{$dark};
    }
    .accordion-button::after {
        background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23fff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
    }
}

// When color mode switch isn't active
:root {
    .tiki .tiki-admin-top-nav-light, // Legacy
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {
        @include admin-nav-light;
    }
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {
        @include admin-nav-dark;
    }
}

// Color mode preference trumps L&F admin light navbar option
[data-bs-theme=dark] {                              // dark color mode
    .tiki .tiki-admin-top-nav-light,
    .tiki.tiki-admin .navbar-light-parent.tiki-top-nav-light, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-light {               // light top selectors
        @include admin-nav-dark;                      // dark values
    }
}
// Color mode preference trumps L&F admin dark navbar option
[data-bs-theme=light] {                              // light color mode
    .tiki .tiki-admin-top-nav-dark,
    .tiki.tiki-admin .navbar-dark-parent.tiki-top-nav-dark, // UAB - Specificity increased to override
    .tiki .tiki-admin-aside-nav-dark {                // dark top selectors
        @include admin-nav-dark;                      // dark values
    }
}

// - - - - - New admin pages (Unified Admin Backend) END - - - - - - - //

:root {
    --tiki-card-bg: #fff;
    --tiki-card-color: var(--bs-body-color);
    .sm-nav-link {
        --sm-font-family: var(--bs-body-font-family);
    }
}

@media (min-width: 768px) {
    .sm-navbar:not(.sm-navbar--collapsible-only) .sm-nav-link {
        --sm-font-family: #{$headings-font-family};
        text-transform: uppercase;
    }
}


    [data-bs-theme=dark] {
    --tiki-card-bg: #{$body-secondary-bg-dark};
//    .popover-body { background: #{$body-secondary-bg-dark}; }
    --tiki-card-color: var(--bs-body-color);
    .bg-light,
    .navbar.bg-light {
        background: var(--bs-tertiary-bg) !important;
        .nav-link {
            color: $link-color-dark;
        }
    }
}